First time here? Check out the FAQ!
x

Compatibility of Trousers with Window OS.

0 votes
asked by about Trousers
edited by

Have been using Trousers since 2003. Currently Trousers 2.2. What is the latest Windows version that will operate the program? I've been with Windows XP, but need to upgrade.

1 Answer

0 votes
answered by (329k points)

The latest version of Trousers is 2.2 and the latest compatible Windows version is Windows XP. At this point, the software is discontinued because the developer's website doesn't exist anymore and it's impossible to reach him.

I've searched on other websites found through Google, but the result was the same. The application is discontinued without any possibility to download it anymore.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...